# Method: billingAccounts.orders.place

- [HTTP request](https://docs.cloud.google.com/marketplace/docs/reference/consumerprocurement/rest/v1/billingAccounts.orders/place#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/marketplace/docs/reference/consumerprocurement/rest/v1/billingAccounts.orders/place#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/marketplace/docs/reference/consumerprocurement/rest/v1/billingAccounts.orders/place#body.request_body)
  - [JSON representation](https://docs.cloud.google.com/marketplace/docs/reference/consumerprocurement/rest/v1/billingAccounts.orders/place#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://docs.cloud.google.com/marketplace/docs/reference/consumerprocurement/rest/v1/billingAccounts.orders/place#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/marketplace/docs/reference/consumerprocurement/rest/v1/billingAccounts.orders/place#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/marketplace/docs/reference/consumerprocurement/rest/v1/billingAccounts.orders/place#body.aspect_1)
- [Try it!](https://docs.cloud.google.com/marketplace/docs/reference/consumerprocurement/rest/v1/billingAccounts.orders/place#try-it)

Creates a new `https://docs.cloud.google.com/marketplace/docs/reference/consumerprocurement/rest/v1/billingAccounts.orders#Order`.

This API only supports GCP spend-based committed use discounts specified by GCP documentation.

The returned long-running operation is in-progress until the backend completes the creation of the resource. Once completed, the order is in `OrderState.ORDER_STATE_ACTIVE`. In case of failure, the order resource will be removed.

### HTTP request

`POST https://cloudcommerceconsumerprocurement.googleapis.com/v1/{parent=billingAccounts/*}/orders:place`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The resource name of the parent resource. This field has the form `billingAccounts/{billing-account-id}`. |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "displayName": string, "lineItemInfo": [ { object (`https://docs.cloud.google.com/marketplace/docs/reference/consumerprocurement/rest/v1/billingAccounts.orders#LineItemInfo`) } ], "requestId": string } ``` |

| Fields ||
|---|---|
| `displayName` | `string` Required. The user-specified name of the order being placed. |
| `lineItemInfo[]` | ``object (`https://docs.cloud.google.com/marketplace/docs/reference/consumerprocurement/rest/v1/billingAccounts.orders#LineItemInfo`)`` Optional. Places order for offer. Required when an offer-based order is being placed. |
| `requestId` | `string` Optional. A unique identifier for this request. The server will ignore subsequent requests that provide a duplicate request ID for at least 24 hours after the first request. The request ID must be a valid [UUID](https://en.wikipedia.org/wiki/Universally_unique_identifier#Format). |

### Response body

If successful, the response body contains an instance of `https://docs.cloud.google.com/marketplace/docs/reference/consumerprocurement/rest/Shared.Types/Operation`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://cloud.google.com/docs/authentication/).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `parent` resource:

- `consumerprocurement.orders.place`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).